This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 111338 - /etc/profile.d/colorls.sh add environment var
/etc/profile.d/colorls.sh add environment var
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-02 06:55 EST by Florian La Roche
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 07:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2003-12-02 06:55:30 EST
Description of problem:

/etc/profile.d/colorls.sh is setting the environment var COLORS.
Is it possible to make that a local var only?


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2003-12-02 06:58:59 EST
What do you mean?  It isn't exported.

Or better: what's the bad effect that you're seeing at the moment?
Comment 2 Florian La Roche 2003-12-02 07:09:04 EST
Right, so the shells I see that in have read in the profile files.
So a unset would only make sure that var is deleted completely again,
it is anyway not exported into the environment.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.